## kiosktool-trinity 3.5.13.2

=== debian/changelog ===
kiosktool-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:05:10 +0200

kiosktool-trinity (1.0-2.0ubuntu0) maverick; urgency=low

  * Trinity rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 15 Oct 2011 04:19:00 -0600

kiosktool (1.0-1.1ubuntu6) hardy; urgency=low

  * Rebuild with recent g++ compiler version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Apr 2008 11:24:40 +0000

kiosktool (1.0-1.1ubuntu5) gutsy; urgency=low

  * Add kubuntu_03_sudo_support.diff to support sudo
  * Add depend on kdesudo
  * Move maintainer to XSBC-Original-Maintainer: 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jul 2007 16:57:11 +0100

kiosktool (1.0-1.1ubuntu4) edgy; urgency=low

  * Rebuild so it doesnt depend on libgamin0

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue, 25 Jul 2006 13:25:55 +1000

kiosktool (1.0-1.1ubuntu3) dapper; urgency=low

  * Add kubuntu_02_kmenu.diff use the correct menu file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 18 Dec 2005 15:46:35 +0000

kiosktool (1.0-1.1ubuntu2) dapper; urgency=low

  * Add automake1.9 build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2005 17:43:36 +0000

kiosktool (1.0-1.1ubuntu1) dapper; urgency=low

  * Rebuild for libstdc++ transition
  * Add kubuntu_01_kdepot.diff for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2005 11:35:56 +0000

kiosktool (1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Trigger rebuild for the Qt/KDE transition, no source changes needed.
    (Closes: #327996)

 -- Adeodato Simó <asp16@alu.ua.es>  Tue, 27 Sep 2005 16:07:52 +0200

kiosktool (1.0-1) unstable; urgency=low

  * Released kiosktool 1.0

 -- Pedro Jurado Maqueda <melenas@kdehispano.org>  Tue, 26 Apr 2005 22:38:16 +0200

kiosktool (0.9-2) unstable; urgency=low

  * Solved a problem with upstream sources due to some messages translated to Spanish
  * Changed description
  * First Debian upload, closes: #267595
  * Erased line Categories=Qt;KDE;System in kiosktool.desktop because this file is installed in Utilities category
  
 -- Pedro Jurado Maqueda <melenas@kdehispano.org>  Wed,  5 Jan 2005 15:18:17 +0100

kiosktool (0.9-1) unstable; urgency=low

   * Released kiosktool 0.9

 -- Pedro Jurado Maqueda <melenas@kdehispano.org>  Wed, 13 Oct 2004 14:57:28 +0200
 

kiosktool (0.8-1) unstable; urgency=low

   * First use of cdbs for packaging
   * Created a man page with kdemangen.pl (thanks to Dominique Devriese)	

 -- Pedro Jurado Maqueda <melenas@kdehispano.org>  Mon, 23 Aug 2004 11:53:37 +0200

kiosktool (0.7-1) unstable; urgency=low

   * Correct a semantic error in description

 -- Pedro Jurado Maqueda <melenas@kdehispano.org>  Wed, 7 Jul 2004 15:19:42 +0200

kiosktool (0.6-1) unstable; urgency=low

   * Initial release

 -- Pedro Jurado Maqueda <melenas@kdehispano.org>  Wed, 7 Jul 2004 15:19:42 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## kiosktool-trinity 14.0.4

=== debian/changelog ===
kiosktool-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:22:38 +0200

## kiosktool-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kiosktool )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON )
option( BUILD_DOC "Build documentation"         ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )

option( BUILD_KCM_AUTOSTART "Build kcm autostart" OFF )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 



##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kiosktool-trinity 14.0.5

=== debian/changelog ===
kiosktool-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:37:18 +0200

=== debian/control ===
Source: kiosktool-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Pedro Jurado Maqueda <melenas@kdehispano.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kiosktool-trinity
Architecture: any
Depends: ${shlibs:Depends}, tdesudo-trinity
Replaces: kiosktool-trinity (<< 4:14.0.0~)
Breaks: kiosktool-trinity (<< 4:14.0.0~)
Description: tool to configure the TDE kiosk framework
 A Point&Click tool for system administrators to enable 
 TDE's KIOSK features or otherwise preconfigure TDE for 
 groups of users.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include debian/cdbs/kde.mk
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -17,10 +17,15 @@
 post-patches:: debian/stamp-bootstrap
 
 debian/stamp-bootstrap:
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
 	
 	make -f admin/Makefile.common cvs

## kiosktool-trinity 14.0.6

=== debian/changelog ===
kiosktool-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:35:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Pedro Jurado Maqueda <melenas@kdehispano.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kiosktool-trinity

## kiosktool-trinity 14.0.8

=== debian/changelog ===
kiosktool-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Pedro Jurado Maqueda <melenas@kdehispano.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, intltool | gettext (>= 0.19~), tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kiosktool-trinity

## kiosktool-trinity 14.0.10

=== debian/changelog ===
kiosktool-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kiosktool-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Pedro Jurado Maqueda <melenas@kdehispano.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, intltool | gettext (>= 0.19~), tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kiosktool-trinity

## kiosktool-trinity 14.0.11

=== debian/changelog ===
kiosktool-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 16:23:41 +0200

## kiosktool-trinity 14.0.12

=== debian/changelog ===
kiosktool-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:43 +0100

## kiosktool-trinity 14.0.13

=== debian/changelog ===
kiosktool-trinity (4:14.0.13-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 01 Oct 2022 09:02:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Pedro Jurado Maqueda <melenas@kdehispano.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kiosktool-trinity

## kiosktool-trinity 14.1.0

=== debian/changelog ===
kiosktool-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kiosktool-trinity 14.1.1

=== debian/changelog ===
kiosktool-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 12:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Pedro Jurado Maqueda <melenas@kdehispano.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kiosktool-trinity

## kiosktool-trinity 14.1.2

=== debian/changelog ===
kiosktool-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:48 +0200

## kiosktool-trinity 14.1.3

=== debian/changelog ===
kiosktool-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:23:01 +0200

## kiosktool-trinity 14.1.4

=== debian/changelog ===
kiosktool-trinity (4:14.1.4-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Pedro Jurado Maqueda <melenas@kdehispano.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kiosktool-trinity

## kiosktool-trinity 14.1.5~pre2

=== debian/changelog ===
kiosktool-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for b06541314f2a58d66bff7f3913a3ab6edd1f7d4c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kiosktool-trinity 14.1.5

=== kiosktool/kcms/CMakeLists.txt ===
tde_conditional_add_subdirectory( BUILD_KCM_AUTOSTART autostart )

=== debian/changelog ===
kiosktool-trinity (4:14.1.5-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Pedro Jurado Maqueda <melenas@kdehispano.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kiosktool-trinity

## kiosktool-trinity 14.1.6~pre0

=== debian/changelog ===
kiosktool-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b06541314f2a58d66bff7f3913a3ab6edd1f7d4c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kiosktool-trinity 14.1.6~pre1

=== debian/changelog ===
kiosktool-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1dac2342d545faaecf7d0053ee7b83889f5576dc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:58:24 +0100

## kiosktool-trinity 14.2.0~pre25

=== debian/changelog ===
kiosktool-trinity (4:14.2.0~pre25-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 7f04623418d97f3c703444cfab926864a2b68edf
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kiosktool-trinity 14.2.0~pre26

=== debian/changelog ===
kiosktool-trinity (4:14.2.0~pre26-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 757586108ec4cf92186deddfba758b38322566f6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kiosktool

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:03:22 +0100
